Package pyplusplus :: Package code_creators :: Module calldef_transformed :: Class mem_fun_transformed_t

# type mem_fun_transformed_t

source code

                             object --+
                                      |
            code_creator.code_creator_t --+
                                          |
    registration_based.registration_based_t --+
                                              |
      declaration_based.declaration_based_t --+
                                              |
                              calldef.calldef_t --+
                                                  |
                           sealed_fun_transformed_t --+
                                                      |
                                                     mem_fun_transformed_t

Creates code for public non-virtual member functions.

Instance Methods

__init__(self, function, wrapper=None) Constructor. | source code

create_keywords_args(self) | source code

Inherited from `sealed_fun_transformed_t`: `create_call_policies`, `create_function_ref_code`, `create_function_type_alias_code`

Inherited from `calldef.calldef_t`: `create_def_code`, `create_doc`, `def_identifier`, `param_sep`, `pure_virtual_identifier`

Inherited from `code_creator.code_creator_t`: `beautify`, `create`, `get_system_headers`

Inherited from `declaration_based.declaration_based_t`: `get_user_headers`

Static Methods
Inherited from `code_creator.code_creator_t`: `indent`, `is_comment`, `unindent`, `unique_headers`

Class Variables
Inherited from `code_creator.code_creator_t`: `LINE_LENGTH`, `PARAM_SEPARATOR`, `PYPLUSPLUS_NS_NAME`

Properties

Inherited from `sealed_fun_transformed_t`: `controller`, `ft`

Inherited from `calldef.calldef_t`: `associated_decl_creators`, `exported_class_alias`, `function_type_alias`, `wrapper`

Inherited from `code_creator.code_creator_t`: `parent`, `target_configuration`, `top_parent`, `works_on_instance`

Inherited from `declaration_based.declaration_based_t`: `alias`, `decl_identifier`, `declaration`, `documentation`

Method Details

### __init__(self, function, wrapper=None)
(Constructor)

source code

Constructor.

Parameters:
  - `parent` - Parent code creator.
Overrides: declaration_based.declaration_based_t.__init__
  (inherited documentation)

### create_keywords_args(self)

source code

Overrides: calldef.calldef_t.create_keywords_args